CVE-2021-26708

Name
CVE-2021-26708
Description
A local privilege escalation was discovered in the Linux kernel before 5.10.13. Multiple race conditions in the AF_VSOCK implementation are caused by wrong locking in net/vmw_vsock/af_vsock.c. The race conditions were implicitly introduced in the commits that added VSOCK multi-transport support.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
Patch https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=c518adafa39f37858697ac9309c6cf1805581446
Mailing List https://www.openwall.com/lists/oss-security/2021/02/04/5
Release Notes https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.10.13
Mailing List http://www.openwall.com/lists/oss-security/2021/02/05/6
CONFIRM https://security.netapp.com/advisory/ntap-20210312-0008/
MLIST http://www.openwall.com/lists/oss-security/2021/04/09/2
Mailing List http://www.openwall.com/lists/oss-security/2022/01/25/14

Match rules

CPE URI Source package Min version Max version
cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:* linux_kernel >= 5.5 < 5.10.13

Vulnerable and fixed packages

Source package Branch Version Maintainer Status